org.apache.poi.ss.usermodel

## Enum DataConsolidateFunction

- java.lang.Object
- - java.lang.Enum<DataConsolidateFunction>
  - - org.apache.poi.ss.usermodel.DataConsolidateFunction

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<DataConsolidateFunction>

      @Beta
      public enum DataConsolidateFunction
      extends java.lang.Enum<DataConsolidateFunction>

  Enum mapping the values of STDataConsolidateFunction

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AVERAGE`
    `COUNT`
    `COUNT_NUMS`
    `MAX`
    `MIN`
    `PRODUCT`
    `STD_DEV`
    `STD_DEVP`
    `SUM`
    `VAR`
    `VARP`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getName()`
    `int` | `getValue()`
    `static DataConsolidateFunction` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static DataConsolidateFunction[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AVERAGE

          public static final DataConsolidateFunction AVERAGE

    - #### COUNT

          public static final DataConsolidateFunction COUNT

    - #### COUNT_NUMS

          public static final DataConsolidateFunction COUNT_NUMS

    - #### MAX

          public static final DataConsolidateFunction MAX

    - #### MIN

          public static final DataConsolidateFunction MIN

    - #### PRODUCT

          public static final DataConsolidateFunction PRODUCT

    - #### STD_DEV

          public static final DataConsolidateFunction STD_DEV

    - #### STD_DEVP

          public static final DataConsolidateFunction STD_DEVP

    - #### SUM

          public static final DataConsolidateFunction SUM

    - #### VAR

          public static final DataConsolidateFunction VAR

    - #### VARP

          public static final DataConsolidateFunction VARP

  - ### Method Detail

    - #### values

          public static DataConsolidateFunction[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DataConsolidateFunction c : DataConsolidateFunction.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DataConsolidateFunction valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getName

          public java.lang.String getName()

    - #### getValue

          public int getValue()

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.